/*******************************************************

				BootloaderApplication.h
	
	Header Datei mit Defines und Funktionsprototyen,
	damit Bootloader fr Webserver funktioniert.
	
	- Vollendet eine Message vom AVR Studio, speichert
	  diese in der .noinit section und generiert
	  anschlieend einen Reset

********************************************************/

#ifndef _BOOTLOADER_H_
#define _BOOTLOADER_H_

/********************************************************
*														*
*			Include										*
*														*
*********************************************************/
#include <avr/io.h>
#include <avr/wdt.h>
#include "./Interface/FT245.h"
#include "./Webserver_STK500_Bootloader/communication.h"

/********************************************************
*														*
*			Defines										*
*														*
*********************************************************/
#define	ST_START		0
#define	ST_GET_SEQ_NUM	1
#define ST_MSG_SIZE_1	2
#define ST_MSG_SIZE_2	3
#define ST_GET_TOKEN	4
#define ST_GET_DATA		5
#define	ST_GET_CHECK	6
#define	ST_PROCESS		7

#define MESSAGE_START	0x1B
#define TOKEN			0x0E


/********************************************************
*														*
*			Funktionsprototypen							*
*														*
*********************************************************/

/********************************************************
	Generiert einen Reset mithilfe des Watchdogs, um
	in den Bootloader zu springen

Parameter:		NONE

Rckgabewert:	NONE
*********************************************************/

void avrReset(void);


/********************************************************
	Vollendet eine Message wenn das Startkommando (0x1B)
	vom AVR Studio gekommen ist, speichert diese in der
	.noinit section und generiert anschlieen einen
	Reset, um in den Bootlaoder zu springen

Parameter:		NONE

Rckgabewert:	NONE
*********************************************************/

void collectCompleteMessage(void);

#endif
