/*******************************************************

				SOFTWARE SPI FR AVR
				
	Proptotypendeklaration fr die Funktionen aus der
	Assemblerdatei SoftwareSpi.S
	
	Eigenschaften:
	
	- Clock Frequency of SCK:	FCPU/32
	  Symmetrischer Takt wird generiert (delay in 
	  Assmblerdatei ntig gewesen), sonst theoretisch
	  schnellere Frequenz mglich
	  
	- Pins von SSCK, SMOSI, SMISO sind in der 
	  Assemblerdatei einstellbar
	  
	- Chip Select wird nicht von Assemblercode gesteuert,
	  sondern muss vom User vor Aufruf der Funktionen
	  selbst gesteuert und initialisiert werden!!!

********************************************************/

#ifndef _SOFTWARE_SPI_H_
#define _SOFTWARE_SPI_H_

/********************************************************
*														*
*			Funktionsprototypen							*
*														*
*********************************************************/


/********************************************************
	Initialisiert den Software SPI Bus:
	SSCK ,SMISO, SMOSI, aber nicht Chip Select Leitung!!!

Parameter:		NONE

Rckgabewert:	NONE
*********************************************************/

extern void sspiInit(void);


/********************************************************
	Schreibt ein Byte ber den Software SPI Bus
	Chip Select Leitung vor Funktionsaufruf auf Low legen!

Parameter:		zu sendendes Byte

Rckgabewert:	NONE
*********************************************************/

extern void sspiWriteByte(uint8_t byte);


/********************************************************
	Liest ein Byte vom Software SPI Bus
	Chip Select Leitung vor Funktionsaufruf auf Low legen!

Parameter:		NONE

Rckgabewert:	empfangenes Byte
*********************************************************/

extern uint8_t sspiReadByte(void);

#endif
